
Foreman - Feature #8852

add token-based authentication feature for API

01/07/2015 05:48 AM - Joseph Magen

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2052

  

Description

Related issues:

Related to Hammer CLI - Feature #8888: hammer auth should support token based... Closed

Related to Foreman - Feature #1301: Consider adding a per-user API key Closed

Related to Hammer CLI - Feature #8923: Ability to use Negotiate/Kerberos auth... Closed

History

#1 - 01/07/2015 05:52 AM - Dominic Cleal

Of what sort?  We have OAuth support (#1576), session support and #1301 suggests per-user support too, which'd be good.  Not to mention SSO

type auth too...

It'd be nice not to add yet more types of authentication unless necessary, each one has introduced new security flaws.

#2 - 01/07/2015 09:30 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2052 added

- Pull request deleted ()

#3 - 01/07/2015 09:53 AM - Joseph Magen

The idea is the same as features #1301 and #8016. The background is authenticating once with user/pass to get a token (which by default lasts for 2

hours) to make future api/calls rather sending user/pass on every API call in the header.

#4 - 01/09/2015 10:10 AM - Tomáš Strachota

- Related to Feature #8888: hammer auth should support token based authentication added

#5 - 01/09/2015 10:11 AM - Dominic Cleal

- Related to Feature #1301: Consider adding a per-user API key added

#6 - 01/13/2015 07:25 AM - Jan Pazdziora

Dominic Cleal wrote:

We have OAuth support (#1576), session support ...

 How is session support related to this bearer token support? Is it the same?

#7 - 01/13/2015 07:26 AM - Jan Pazdziora

- Related to Feature #8923: Ability to use Negotiate/Kerberos authentication to API and hammer added
#8 - 01/13/2015 07:32 AM - Dominic Cleal

Jan Pazdziora wrote:

Dominic Cleal wrote:

We have OAuth support (#1576), session support ...

 How is session support related to this bearer token support? Is it the same?

 A user who has authed via the usual login page will have a Rails session and cookie, which works to auth against the API.  Katello (an Angular app I

believe) relies on this as the client-side JavaScript queries the API using the active session.

#9 - 02/29/2016 10:47 AM - Joseph Magen

- Status changed from Ready For Testing to New

- Assignee deleted (Joseph Magen)

Switched status back to New. Simon, can you take a look at this?

#10 - 07/23/2018 11:29 AM - Tomer Brisker

- Target version deleted (1.7.2)
